# dipy_fetch

## Synopsis

Download files to folder and check their md5 checksums.

To see all available datasets, please type “list” in data_names.

## Usage

    dipy_fetch [OPTIONS] data_names

## Input Parameters

- `data_names`

  Any number of Nifti1, bvals or bvecs files.

## General Options

- `--subjects`

  Identifiers of the subjects to download. Used only by the HBN & HCP dataset. For example with HBN dataset: –subject NDARAA948VFH NDAREK918EC2 (default: None)

- `--include_optional`

  Include optional datasets. (default: False)

- `--include_afq`

  Whether to include pyAFQ derivatives. Used only by the HBN dataset. (default: False)

- `--hcp_bucket`

  The name of the HCP S3 bucket. (default: hcp-openaccess)

- `--hcp_profile_name`

  The name of the AWS profile used for access. (default: hcp)

- `--hcp_study`

  Which HCP study to grab. (default: HCP_1200)

- `--hcp_aws_access_key_id`

  AWS credentials to HCP AWS S3. Will only be used if profile_name is set to False. (default: None)

- `--hcp_aws_secret_access_key`

  AWS credentials to HCP AWS S3. Will only be used if profile_name is set to False. (default: None)

## Output Options

- `--out_dir`

  Output directory. (default: current directory)

## References

Garyfallidis, E., M. Brett, B. Amirbekian, A. Rokem, S. Van Der Walt, M. Descoteaux, and I. Nimmo-Smith. Dipy, a library for the analysis of diffusion MRI data. Frontiers in Neuroinformatics, 1-18, 2014.